/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller.api;

/**
 * Returns HTTP 500 JSON error.
 * 
 * This exception allows the application to handle internal
 * server errors by replying proper JSON content to the caller.
 * 
 * The message will be given to the user.
 * 
 * @author BEAUVAIS ANTOINE
 */
public class ApiServerErrorException extends Exception {

    /**
     * Class constructor.
     * @param string the error message to display to the end-user.
     */
    public ApiServerErrorException(String string)
    {
        super(string);
    }
}
